Bug 1065959 - dnf tab completion should use "distro-sync" instead of "distribution-synchronization"
Summary: dnf tab completion should use "distro-sync" instead of "distribution-synchron...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
(Show other bugs)
Version: 20
Hardware: All Linux
unspecified
unspecified
Target Milestone: ---
Assignee: packaging-team-maint
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-17 12:05 UTC by Andre Robatino
Modified: 2014-02-26 14:00 UTC (History)
6 users (show)

Fixed In Version: dnf-0.4.15-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-26 13:53:12 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Andre Robatino 2014-02-17 12:05:47 UTC
Description of problem:
According to the dnf man page, "distribution-synchronization" is a deprecated alternative to "distro-sync". But bash-completion currently only recognizes the former.

Version-Release number of selected component (if applicable):
dnf-0.4.14-1.fc20.noarch

How reproducible:
always

Additional info:
bash-completion uses "distro-sync" for yum, so it just needs to do the same for dnf.

Comment 1 Ville Skyttä 2014-02-17 12:48:47 UTC
dnf completion is shipped by the dnf package, not bash-completion.

# rpm -qf /etc/bash_completion.d/dnf-completion.bash
dnf-0.4.14-1.fc21.noarch

Comment 2 Ales Kozumplik 2014-02-17 13:05:21 UTC
Fixed by 3aead8b.

Comment 3 Fedora Update System 2014-02-24 18:57:48 UTC
dnf-0.4.15-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/dnf-0.4.15-1.fc20

Comment 4 Fedora Update System 2014-02-26 13:53:12 UTC
dnf-0.4.15-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Andre Robatino 2014-02-26 14:00:35 UTC
Error: Package: dnf-0.4.15-1.fc20.noarch (updates)
           Requires: python-hawkey >= 0.4.11
           Installed: python-hawkey-0.4.10-1.fc20.x86_64 (@updates)
               python-hawkey = 0.4.10-1.fc20
           Available: python-hawkey-0.4.5-1.fc20.x86_64 (fedora)
               python-hawkey = 0.4.5-1.fc20


Note You need to log in before you can comment on or make changes to this bug.